Class | WEBrick::HTTPServer::MountTable
In: | webrick/httpserver.rb
Parent: | Object

### Methods

[] []= delete new scan

### Public Class methods

new()

[Source]

    # File webrick/httpserver.rb, line 164
          def initialize
            @tab = Hash.new
            compile
          end

### Public Instance methods

[](dir)

[Source]

    # File webrick/httpserver.rb, line 169
          def [](dir)
            dir = normalize(dir)
            @tab[dir]
          end

[]=(dir, val)

[Source]

    # File webrick/httpserver.rb, line 174
          def []=(dir, val)
            dir = normalize(dir)
            @tab[dir] = val
            compile
            val
          end

delete(dir)

[Source]

    # File webrick/httpserver.rb, line 181
          def delete(dir)
            dir = normalize(dir)
            res = @tab.delete(dir)
            compile
            res
          end

scan(path)

[Source]

    # File webrick/httpserver.rb, line 188
          def scan(path)
            @scanner =~ path
            [ $&, $' ]
          end

[Validate]